Update earmark

Update an earmark balance.

This endpoint generates the following events:

NOTES:

  • This endpoint requires an account token - an access token encoded with an external account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.
  • To find the correct reason IDs, refer to the List account status reasons endpoint.
  • The maximum number of internal operation inputs (updates that change the earmark amount) allowed is 2,000. Update requests that exceed this limit return bad request errors.
  • An earmark balance cannot be reduced to zero as a result of this operation. If successfully executing the request would result in a zero balance, the request fails and a bad request error is returned. If you want to reduce the balance to zero, you must use Cancel earmark, instead.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Earmark ID generated by Create earmark.

Body Params

Request body

internal_operation
object
required

Data used in transactions executed internally during the request.

string
length between 1 and 40

Earmark description

string
enum
Defaults to SET_AMOUNT

Operation type. Default is SET_AMOUNT.

Allowed:
float
0.01 to 18446744073709552000

New amount to be set when update_type is SET_AMOUNT or delta. Value cannot be zero.
minimum: 0.01 maximum: 18446744073709551617

date-time
length between 20 and 30

RFC 3339 date/time for earmark release. Used to schedule a cash-out (usually a payment) at the specified release date and time. At release_datetime, an automatic process releases the earmarked funds and settles the cash-out. If no release_datetime is set, the earmarked amount is held indefinitely until the customer cancels the earmark.

boolean

If the account has any reason-based force debit payment restrictions, and the force earmark creation violates any of those restrictions, it fails. The reasons that restrict force debit operations are:

  • CREDIT ONLY: No force debit allowed
  • ANY: No force allowed
  • MANUAL: No force allowed
Responses

403

The request has been lost

404

The specified resource was not found

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json